Package org.eclipse.lemminx.extensions.generators.xml2relaxng

## Class XML2RelaxNGGenerator

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.AbstractXML2GrammarGenerator<RelaxNGGeneratorSettings>
  - - org.eclipse.lemminx.extensions.generators.xml2relaxng.XML2RelaxNGGenerator

All Implemented Interfaces:
  `IFileContentGenerator<Document,​RelaxNGGeneratorSettings>`

    public class XML2RelaxNGGenerator
    extends AbstractXML2GrammarGenerator<RelaxNGGeneratorSettings>

File Generator implementation to generate RelaxNG from a given XML source.

### Constructor Summary

Constructors
`XML2RelaxNGGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `generate​(Grammar grammar, RelaxNGGeneratorSettings settings, XMLBuilder schema, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Generate the grammar content from the given grammar information into the given builder.
`protected String` `getFileExtension()` Returns the grammar file extension (ex : xsd, dtd) to generate.

### Methods inherited from class org.eclipse.lemminx.extensions.generators.AbstractXML2GrammarGenerator

`generate, isFlat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XML2RelaxNGGenerator

    public XML2RelaxNGGenerator()

### Method Detail

#### generate

    protected void generate​(Grammar grammar,
                            RelaxNGGeneratorSettings settings,
                            XMLBuilder schema,
                            org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractXML2GrammarGenerator`
Generate the grammar content from the given grammar information into the given builder.

Specified by:
  `generate` in class `AbstractXML2GrammarGenerator<RelaxNGGeneratorSettings>`
Parameters:
  `grammar` - the grammar information.
  `settings` - the grammar settings
  `schema` - the XML builder to update.

#### getFileExtension

    protected String getFileExtension()

Description copied from class: `AbstractXML2GrammarGenerator`
Returns the grammar file extension (ex : xsd, dtd) to generate.

Specified by:
  `getFileExtension` in class `AbstractXML2GrammarGenerator<RelaxNGGeneratorSettings>`
Returns:
  the grammar file extension (ex : xsd, dtd) to generate.